diff -urN package.orig/libs/andns-rpc/Makefile package/libs/andns-rpc/Makefile
--- package.orig/libs/andns-rpc/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/andns-rpc/Makefile	2014-05-31 15:38:48.943024221 +0200
@@ -0,0 +1,60 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=andns-rpc
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=e6cdf498467d46c019bc55d976a8f703
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=1
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/andns-rpc
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=Netsukuku - ANDNS rpc module
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +zcd +netsukuku-rpc
+endef
+
+define Package/andns-rpc/description
+  andns-rpc is used by netsukuku.
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/include
+	$(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
+		$(1)/usr/include/
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libandns-rpc.{a,so*} \
+		$(1)/usr/lib/
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libandns-rpc-tcpclient.{a,so*} \
+		$(1)/usr/lib/
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/andns-rpc.pc \
+		$(1)/usr/lib/pkgconfig/
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/andns-rpc-tcpclient.pc \
+		$(1)/usr/lib/pkgconfig/
+endef
+
+define Package/andns-rpc/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libandns-rpc.so* $(1)/usr/lib/
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libandns-rpc-tcpclient.so* $(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,andns-rpc))
diff -urN package.orig/libs/libgee-0.8/Makefile package/libs/libgee-0.8/Makefile
--- package.orig/libs/libgee-0.8/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/libgee-0.8/Makefile	2014-05-27 11:32:02.040400896 +0200
@@ -0,0 +1,76 @@
+#
+# Copyright (C) 2013 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=libgee-0.8
+PKG_VERSION:=0.12.0
+PKG_RELEASE:=1
+
+PKG_SOURCE:=libgee-$(PKG_VERSION).tar.xz
+PKG_SOURCE_URL:=@GNOME/libgee/0.12/
+PKG_MD5SUM:=d9965e1797d76775ae440230f30585f8
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/libgee-$(PKG_VERSION)
+PKG_INSTALL:=1
+PKG_BUILD_DEPENDS:=vala/host glib2
+
+TARGET_LDFLAGS+=\
+	-Wl,-rpath-link=$(STAGING_DIR)/usr/lib
+
+include $(INCLUDE_DIR)/package.mk
+include $(INCLUDE_DIR)/nls.mk
+
+define Package/libgee-0.8
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=GObject based collection library v0.8
+  URL:=http://live.gnome.org/Libgee
+  DEPENDS:=+glib2
+endef
+
+define Package/libgee-0.8/description
+libgee is a collection library providing GObject-based interfaces and classes
+for commonly used data structures.
+endef
+
+define Build/Compile
+	$(MAKE) -C $(PKG_BUILD_DIR) \
+		DESTDIR="$(PKG_INSTALL_DIR)" \
+		all install
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/{lib/pkgconfig,include/gee-0.8}
+
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/libgee-0.8.{so*,la} \
+		$(1)/usr/lib/
+
+	$(INSTALL_DATA) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/*.pc \
+		$(1)/usr/lib/pkgconfig/
+
+	$(INSTALL_DATA) \
+		$(PKG_INSTALL_DIR)/usr/include/gee-0.8/gee.h \
+		$(1)/usr/include/gee-0.8/
+
+	$(INSTALL_DIR) $(1)/usr/share/vala/vapi
+
+	$(INSTALL_DATA) \
+		$(PKG_INSTALL_DIR)/usr/share/vala/vapi/gee-0.8.vapi \
+		$(1)/usr/share/vala/vapi
+endef
+
+define Package/libgee-0.8/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/libgee-0.8.so* \
+		$(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,libgee-0.8))
diff -urN package.orig/libs/netsukuku-rpc/Makefile package/libs/netsukuku-rpc/Makefile
--- package.orig/libs/netsukuku-rpc/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/netsukuku-rpc/Makefile	2014-05-31 15:39:41.543021875 +0200
@@ -0,0 +1,54 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=netsukuku-rpc
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=0afc2d8190af74b8420f4ee14da7b793
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=1
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/netsukuku-rpc
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=Netsukuku - rpc module
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +zcd
+endef
+
+define Package/netsukuku-rpc/description
+  netsukuku-rpc is used by netsukuku.
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/include
+	$(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
+		$(1)/usr/include/
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libnetsukuku-rpc.{a,so*} \
+		$(1)/usr/lib/
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/netsukuku-rpc.pc \
+		$(1)/usr/lib/pkgconfig/
+endef
+
+define Package/netsukuku-rpc/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libnetsukuku-rpc.so* $(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,netsukuku-rpc))
diff -urN package.orig/libs/ntkresolv/Makefile package/libs/ntkresolv/Makefile
--- package.orig/libs/ntkresolv/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/ntkresolv/Makefile	2014-05-31 15:38:13.479025802 +0200
@@ -0,0 +1,84 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=ntkresolv
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=052d7336d59b3882ecbb4365fe768c8f
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=1
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/ntkresolv
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=Netsukuku - ANDNA resolver module
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +zcd +netsukuku-rpc +andns-rpc @USE_EGLIBC
+endef
+
+define Package/ntkresolv/description
+  This package provides a library to query the ANDNA database of names.
+  Also a module for GNU NSS is provided for gethostbyname function and family.
+  Also a DNS to ANDNA redirector is provided.
+endef
+
+define Build/Install
+	$(call Build/Install/Default,install LDCONFIG='')
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/share/doc/ntkresolv
+	$(CP) $(PKG_INSTALL_DIR)/usr/share/doc/ntkresolv/ntkresolv.ini.sample $(1)/usr/share/doc/ntkresolv
+	$(INSTALL_DIR) $(1)/etc/ntkresolv
+	if [ ! -e $(1)/etc/ntkresolv/ntkresolv.ini ] ; \
+	   then \
+	      $(CP) $(PKG_INSTALL_DIR)/usr/share/doc/ntkresolv/ntkresolv.ini.sample $(1)/etc/ntkresolv/ntkresolv.ini ; \
+	   fi
+	$(INSTALL_DIR) $(1)/usr/include
+	$(CP) $(PKG_INSTALL_DIR)/usr/include/*.h $(1)/usr/include
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libntkresolv.{a,so*} $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libntkutils.{a,so*} $(1)/usr/lib
+	$(INSTALL_DIR) $(1)/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/ntkresolv/libnss_andna.so* $(1)/lib
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/ntkresolv.pc $(1)/usr/lib/pkgconfig
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/ntkutils.pc $(1)/usr/lib/pkgconfig
+endef
+
+define Package/ntkresolv/install
+	$(INSTALL_DIR) $(1)/usr/share/doc/ntkresolv
+	$(CP) $(PKG_INSTALL_DIR)/usr/share/doc/ntkresolv/ntkresolv.ini.sample $(1)/usr/share/doc/ntkresolv
+	$(INSTALL_DIR) $(1)/etc/ntkresolv
+	if [ ! -e $(1)/etc/ntkresolv/ntkresolv.ini ] ; \
+	   then \
+	      $(CP) $(1)/usr/share/doc/ntkresolv/ntkresolv.ini.sample $(1)/etc/ntkresolv/ntkresolv.ini ; \
+	   fi
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libntkresolv.so* $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libntkutils.so* $(1)/usr/lib
+	$(INSTALL_DIR) $(1)/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/ntkresolv/libnss_andna.so* $(1)/lib
+	$(INSTALL_DIR) $(1)/usr/sbin
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/dns-to-andna $(1)/usr/sbin
+	$(INSTALL_DIR) $(1)/etc/init.d
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/share/doc/ntkresolv/openwrtscript.dnstoandna $(1)/etc/init.d/dns-to-andna
+	$(INSTALL_DIR) $(1)/usr/bin
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/ntk-resolv $(1)/usr/bin
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/getaddrinfo $(1)/usr/bin
+endef
+
+$(eval $(call BuildPackage,ntkresolv))
diff -urN package.orig/libs/tasklet/Makefile package/libs/tasklet/Makefile
--- package.orig/libs/tasklet/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/tasklet/Makefile	2014-05-31 15:39:12.839023155 +0200
@@ -0,0 +1,55 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=tasklet
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=b2dbf2eee1c6f6940474315fcb91d995
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=1
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/tasklet
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=Lightweight cooperative threads
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +pthsem
+endef
+
+define Package/tasklet/description
+  Tasklet is a library that allows your programs to spawn a number of light cooperative
+  microthreads. It is used by netsukuku.
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/include
+	$(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
+		$(1)/usr/include/
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libtasklet.{a,so*} \
+		$(1)/usr/lib/
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/tasklet.pc \
+		$(1)/usr/lib/pkgconfig/
+endef
+
+define Package/tasklet/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libtasklet.so* $(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,tasklet))
diff -urN package.orig/libs/zcd/Makefile package/libs/zcd/Makefile
--- package.orig/libs/zcd/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/libs/zcd/Makefile	2014-05-31 15:37:46.751026993 +0200
@@ -0,0 +1,60 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=zcd
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=59504f3991d5832aa64db1339df6f48d
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=1
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/zcd
+  SECTION:=libs
+  CATEGORY:=Libraries
+  TITLE:=Zero Configuration Dispatchers
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +tasklet
+endef
+
+define Package/zcd/description
+  ZCD is used by netsukuku.
+endef
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/include
+	$(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
+		$(1)/usr/include/
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libzcd.{a,so*} \
+		$(1)/usr/lib/
+	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libzcd-tcpclient.{a,so*} \
+		$(1)/usr/lib/
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/zcd.pc \
+		$(1)/usr/lib/pkgconfig/
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/zcd-tcpclient.pc \
+		$(1)/usr/lib/pkgconfig/
+endef
+
+define Package/zcd/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libzcd.so* $(1)/usr/lib/
+	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libzcd-tcpclient.so* $(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,zcd))
diff -urN package.orig/network/services/netsukuku/Makefile package/network/services/netsukuku/Makefile
--- package.orig/network/services/netsukuku/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ package/network/services/netsukuku/Makefile	2014-05-31 15:37:12.107028538 +0200
@@ -0,0 +1,58 @@
+#
+# Copyright (C) 2014 Luca Dionisi aka Lukisi
+#
+# This is free software, licensed under the GNU General Public License v3.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=netsukuku
+PKG_VERSION:=0.9.1
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_SOURCE_URL:=http://download-mirror.savannah.gnu.org/releases/netsukuku
+PKG_MD5SUM:=de2e8551531e0eab86864bc202cf0d9f
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+PKG_BUILD_PARALLEL:=0
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/netsukuku
+  SECTION:=net
+  CATEGORY:=Network
+  TITLE:=Netsukuku routing daemon
+  URL:=https://savannah.nongnu.org/projects/netsukuku/
+  DEPENDS:=+glib2 +libgee-0.8 +netsukuku-rpc +libgcrypt +ip \
+           +iptables-mod-conntrack-extra +iptables-mod-ipopt \
+           +andns-rpc +ntkresolv
+endef
+
+define Package/netsukuku/description
+  Netsukuku routing daemon.
+endef
+
+define Build/Install
+	$(call Build/Install/Default,install RESTART_RSYSLOG='')
+endef
+
+MAKE_FLAGS += CFLAGS="-O0"
+
+define Package/netsukuku/install
+	$(INSTALL_DIR) $(1)/usr/share/doc/netsukuku
+	$(CP) $(PKG_INSTALL_DIR)/usr/share/doc/netsukuku/ntkd.ini.openwrt.sample $(1)/usr/share/doc/netsukuku
+	$(INSTALL_DIR) $(1)/etc/netsukuku
+	if [ ! -e $(1)/etc/netsukuku/ntkd.ini ] ; \
+	   then \
+	      $(CP) $(1)/usr/share/doc/netsukuku/ntkd.ini.openwrt.sample $(1)/etc/netsukuku/ntkd.ini ; \
+	   fi
+	$(INSTALL_DIR) $(1)/usr/sbin
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/ntkd $(1)/usr/sbin
+	$(INSTALL_DIR) $(1)/etc/netsukuku/keys
+	$(INSTALL_DIR) $(1)/usr/share/netsukuku
+endef
+
+$(eval $(call BuildPackage,netsukuku))
diff -urN feeds.orig/packages/libs/pthsem/Makefile feeds/packages/libs/pthsem/Makefile
--- feeds.orig/packages/libs/pthsem/Makefile	2014-04-15 11:43:09.958028000 +0200
+++ feeds/packages/libs/pthsem/Makefile	2014-04-15 11:43:09.958028000 +0200
@@ -21,7 +21,7 @@
   CATEGORY:=Libraries
   TITLE:=GNU pth extended with semaphore support
   URL:=http://www.auto.tuwien.ac.at/~mkoegler/index.php/pth
-  DEPENDS:=@USE_EGLIBC @TARGET_x86
+  DEPENDS:=@USE_EGLIBC
 endef
 
 define Package/pthsem/description
@@ -42,18 +42,28 @@
 	$(SED) \
 		's,^\(prefix\|exec_prefix\)=.*,\1=$(STAGING_DIR)/usr,g' \
 		$(2)/bin/pthsem-config
+	ln -sf pthsem-config         $(2)/bin/pth-config
 
 	$(INSTALL_DIR) $(1)/usr/include
 	$(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
 		$(1)/usr/include/
+	ln -sf pthsem.h              $(1)/usr/include/pth.h
 	$(INSTALL_DIR) $(1)/usr/lib
 	$(CP)   $(PKG_INSTALL_DIR)/usr/lib/libpthsem.{a,la,so*} \
 		$(1)/usr/lib/
+	ln -sf libpthsem.a           $(1)/usr/lib/libpth.a
+	ln -sf libpthsem.la          $(1)/usr/lib/libpth.la
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so.20
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so.20.0.28
 endef
 
 define Package/pthsem/install
 	$(INSTALL_DIR) $(1)/usr/lib
 	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libpthsem.so.* $(1)/usr/lib/
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so.20
+	ln -sf libpthsem.so.20.0.28  $(1)/usr/lib/libpth.so.20.0.28
 endef
 
 $(eval $(call BuildPackage,pthsem))
diff -urN feeds.orig/packages/libs/pthsem/patches/001-enable_linux3.patch feeds/packages/libs/pthsem/patches/001-enable_linux3.patch
--- feeds.orig/packages/libs/pthsem/patches/001-enable_linux3.patch	1970-01-01 01:00:00.000000000 +0100
+++ feeds/packages/libs/pthsem/patches/001-enable_linux3.patch	2014-04-15 11:43:09.958028000 +0200
@@ -0,0 +1,12 @@
+Index: pthsem-2.0.8/acinclude.m4
+===================================================================
+--- pthsem-2.0.8.orig/acinclude.m4	2009-10-27 08:49:25.000000000 +0100
++++ pthsem-2.0.8/acinclude.m4	2013-11-14 12:57:09.771322421 +0100
+@@ -892,6 +892,7 @@
+         case "x`uname -r`" in
+ changequote(, )dnl
+             x2.[23456789]* ) ;;
++            x3.* ) ;;
+ changequote([, ])
+             * ) braindead=yes ;;
+         esac
